import type { _INNoteContent } from "./INNoteContent.js";
import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSString } from "../Foundation/NSString.js";
export declare class _INTextNoteContent extends _INNoteContent {
    static alloc(): _INTextNoteContent;
    static new(): _INTextNoteContent;
    init(): _INTextNoteContent;
    initWithText$(text: _NSString): _INTextNoteContent;
    /** The text that comprises the note content */
    text(): _NSString | null;
}
export interface _INTextNoteContent extends _NSCopying {
}
